import request from '/@/utils/request';

export function holidayGroupApi() {
    return {
        //休息时间组分页列表
        getRecordPage: (data: object)=>{
            return request({
                url: `/breakTime/getAllBreakTimeGroupByPage`,
                method: 'post',
                data: data
            })
        },

        // 休息时间组新增
        addRecord: (data: object)=>{
            return request({
                url: `/breakTime/addBreakTimeGroup`,
                method: 'post',
                data: data
            })
        },

        // 休息时间组修改
        updateRecord: (data: object)=>{
            return request({
                url: `/breakTime/updateBreakTimeGroup`,
                method: 'post',
                data: data
            })
        },

        // 休息时间组删除
        deleteRecord: (data: object)=>{
            return request({
                url: `/breakTime/deleteBreakTimeGroup`,
                method: 'post',
                data: data
            })
        },

        // 休息时间组批量删除
        deletBatchRecord: (data: object)=>{
            return request({
                url: `/breakTime/deleteBatchBreakTimeGroup`,
                method: 'post',
                data: data
            })
        },

        //休息时间列表
        getAllBreak: ()=>{
            return request({
                url: `/breakTime/getAllBreakTimeRule`,
                method: 'get'
            })
        },
    };
}
